data.raw["generator"]["steam-engine"].fast_replaceable_group = "steam-engine"
data.raw["generator"]["steam-engine"].fluid_usage_per_tick = 0.5
data.raw["generator"]["steam-engine"].effectivity = 1.0

data:extend(
{
  {
    type = "generator",
    name = "fpp",
    icon = "__Lishgets TMod__/graphics/fusion-reactor.png",
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 5, result = "fpp"},
    max_health = 500,
    corpse = "big-remnants",
	dying_explosion = "huge-explosion",
    effectivity = 1.0,
    fluid_usage_per_tick = 0.5,
    resistances = 
    {
      {
        type = "fire",
        percent = 40
      }
    },
	fast_replaceable_group =  "steam-engine",
    collision_box = {{-1.4, -2.4}, {1.4, 2.4}},
    selection_box = {{-1.5, -2.5}, {1.5, 2.5}},
    fluid_box =
    {
      base_area = 1,
      pipe_covers = pipecoverspictures(),
      pipe_connections =
      {
        { position = {0, 3} },
        { position = {0, -3} },
      },
    },
    energy_source =
    {
      type = "electric",
	  usage_priority = "primary-output"
    },
    horizontal_animation =
    {
      filename = "__Lishgets TMod__/graphics/fusion-power-plant-hor.png",
      width = 400,
      height = 300,
      frame_count = 1,
      line_length = 1,
      shift = {1.34, -0.06}
    },
    vertical_animation =
    {
      filename = "__Lishgets TMod__/graphics/fusion-power-plant-ver.png",
      width = 300,
      height = 400,
      frame_count = 1,
      line_length = 1,
      shift = {0.812, 0.031}
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/accumulator-working.ogg",
        volume = 0.4
      },
      match_speed_to_activity = true,
    },
    min_perceived_performance = 0.25,
    performance_to_sound_speedup = 0.5
  }
}
)